Subject: bug#60758: 29.0.60; while-let uses if-let* convention in contradiction to the docstring

From: Sean Whitton <[email-masked]>
Date: Sat, 14 Jan 2023 14:13:03 -0700

Hello,

On Sat 14 Jan 2023 at 06:35PM +02, Eli Zaretskii wrote:

>> Cc: Daniel Mendler <[email-masked]>, [email-masked],
>>  [email-masked]
>> From: Sean Whitton <[email-masked]>
>> Date: Sat, 14 Jan 2023 09:25:26 -0700
>>
>> > So it makes no sense to add this syntax to newly introduced macros.  We
>> > should fix the docstring of `while-let' instead - unless the goal of
>> > getting rid of this syntax has changed.  But then we should have a
>> > discussion first.  Instead it seems you just reverted a change by Lars
>> > that was the result of a discussion in emacs-dev.
>>
>> Are you saying there was a while-let-specific discussion?
>>
>> I did vc-annotate and saw that the code I was changing was in the first
>> commit of the new macro.
>
> Then something went wrong with vc-annotate, because that code was
> modified in commit 0e72d4793c, on Sep 29, the day after the first
> commit of this macro.

Or, what is more likely, I misread the output :)  My apologies for this.

We should fix the docstring or the code; there's still a bug if I just
revert my change.  I haven't reviewed the old thread but it sounds like
a decision was already taken to fix the docstring instead.
Do you agree?  If so, I'll replace my change.

-- 
Sean Whitton